Get Page Info in Angular PDF Viewer component

11 Feb 20263 minutes to read

The getPageInfo() method returns metadata for a specified page in the viewer, such as height, width, and rotation. pageIndex is zero-based. Call getPageInfo() after the viewer is ready to ensure page data is available (for example, in ngAfterViewInit or after the document has been loaded).

The following example retrieves and logs the page dimensions and rotation for a specified page.

Step 1: Follow the steps provided in the getting started guide to create a simple PDF Viewer sample.

Step 2: The following code snippet implements retrieval of height, width, and rotation for a specified page in the viewer.

import { Component, OnInit } from '@angular/core';
import {
  LinkAnnotationService,
  BookmarkViewService,
  MagnificationService,
  ThumbnailViewService,
  ToolbarService,
  NavigationService,
  AnnotationService,
  TextSearchService,
  TextSelectionService,
  FormFieldsService,
  FormDesignerService,
  PrintService
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  template: `
    <div class="content-wrapper">
      <button (click)="retrievePageInfo()" style="margin-bottom: 20px;">Get Page Info</button>
      <ejs-pdfviewer
        id="pdfViewer"
        [documentPath]="document"
        [resourceUrl]="resourceUrl"
        style="height: 640px; display: block;">
      </ejs-pdfviewer>
    </div>
  `,
  providers: [
    LinkAnnotationService,
    BookmarkViewService,
    MagnificationService,
    ThumbnailViewService,
    ToolbarService,
    NavigationService,
    AnnotationService,
    TextSearchService,
    TextSelectionService,
    FormFieldsService,
    FormDesignerService,
    PrintService
  ]
})
export class AppComponent implements OnInit {
  public document: string = 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf';
  public resourceUrl: string = 'https://cdn.syncfusion.com/ej2/27.2.2/dist/ej2-pdfviewer-lib';

  ngOnInit(): void { }

  retrievePageInfo() {
    const viewer = (document.getElementById('pdfViewer') as any).ej2_instances[0];
    // Set the page index for which info is required
    const pageIndex = 0;
    // To Retrieve and log the page information
    console.log(viewer.getPageInfo(pageIndex));

    // To log the specific page information details to the console
    const pageInfo = viewer.getPageInfo(pageIndex);
    if (pageInfo) {
      console.log(`Page Info for page index ${pageIndex}:`);
      console.log(`Height: ${pageInfo.height}`);
      console.log(`Width: ${pageInfo.width}`);
      console.log(`Rotation: ${pageInfo.rotation}`);
    }
  }
}

By following these steps, you can successfully integrate and use the get page info API in the EJ2 PDF Viewer.

View Sample in GitHub

Get Page Info in Vue PDF Viewer component

28 Feb 20263 minutes to read

The getPageInfo() method returns metadata for a specified page in the viewer, such as height, width, and rotation. pageIndex is zero-based. Call getPageInfo() after the viewer is ready to ensure page data is available.

The following example retrieves and logs the page dimensions and rotation for a specified page.

Step 1: Follow the steps provided in the getting started guide to create a simple PDF Viewer sample.

Step 2: The following code snippet implements retrieval of height, width, and rotation for a specified page in the viewer.

<template>
  <div id="app">
    <button @click="retrievePageInfo" style="margin-bottom: 20px;">
      GetPageInfo
    </button>
    <ejs-pdfviewer
      id="pdfViewer"
      ref="pdfviewer"
      :documentPath="documentPath"
      :resourceUrl="resourceUrl"
      style="height: 640px;"
    >
    </ejs-pdfviewer>
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';
export default {
  name: 'App',
  components: {
    'ejs-pdfviewer': PdfViewerComponent,
  },
  data() {
    return {
      documentPath: "https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf",
      resourceUrl: "https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib",
    };
  },
  provide: {
    PdfViewer: [
      Toolbar,
      Magnification,
      Navigation,
      Annotation,
      TextSelection,
      TextSearch,
      FormFields,
      FormDesigner,
      PageOrganizer,
    ],
  },
  methods: {
    retrievePageInfo() {
      if (this.$refs.pdfviewer) {
        const pdfviewer = this.$refs.pdfviewer.ej2Instances;
        // Set the page index for which info is required
        const pageIndex = 0;
        // To Retrieve and log the page information
        console.log(pdfviewer.getPageInfo(pageIndex));
        // To Log the specific page information details to the console
        const pageInfo = pdfviewer.getPageInfo(pageIndex);
        if (pageInfo) {
          console.log(`Page Info for Page Index ${pageIndex}:`);
          console.log(`Height: ${pageInfo.height}`);
          console.log(`Width: ${pageInfo.width}`);
          console.log(`Rotation: ${pageInfo.rotation}`);
        }
      }
    }
  },
};
</script>

By following these steps, the page info API can be integrated and used in the EJ2 PDF Viewer.

View Sample in GitHub

Get page info in React PDF Viewer

14 Jul 20268 minutes to read

Overview

The getPageInfo() method returns metadata for a specified page in the React PDF Viewer, such as height, width, and rotation. Use it when you need to read the rendered size or orientation of a page, for example to align overlays, custom toolbars, or to validate the loaded document.

Parameter

Parameter Type Description
pageIndex number Zero-based index of the page. Must be in the range 0 to pageCount - 1. Passing an index outside this range returns undefined.

Return value

The method returns a PageInfo object with the following fields:

Property Type Description
height number Page height in points (1 point = 1/72 inch).
width number Page width in points.
rotation number Page rotation in degrees. Valid values are 0, 90, 180, and 270.

Call getPageInfo() only after the document has finished loading (for example, inside the documentLoaded event handler) to ensure page data is available. Calling it before the document is loaded returns undefined.

How to retrieve page info

The following example retrieves and logs the page dimensions and rotation for a specified page.

Step 1: Create the PDF Viewer sample

Follow the Getting Started guide for the React PDF Viewer.

Step 2: Set up the React component

Update the src/index.js (or src/App.js) template to include a button that retrieves and logs the page info for a specified page. The samples below show both standalone and server-backed viewer configurations.

import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
import {
    PdfViewerComponent,
    Toolbar,
    Magnification,
    Navigation,
    Annotation,
    TextSelection,
    TextSearch,
    FormFields,
    FormDesigner,
    PageOrganizer,
    Inject
} from '@syncfusion/ej2-react-pdfviewer';

class App extends React.Component {
    constructor(props) {
        super(props);
        this.viewerRef = React.createRef();
    }

    // Retrieve and log the page information for the specified page
    retrievePageInfo = () => {
        // Set the page index for which info is required
        const pageIndex = 0;
        const pdfviewer = this.viewerRef.current;

        if (pdfviewer) {
            // To Retrieve and log the page information
            console.log(pdfviewer.getPageInfo(pageIndex));
            // To Log the specific page information details to the console
            const pageInfo = pdfviewer.getPageInfo(pageIndex);
            if (pageInfo) {
                console.log(`Page Info for Page Index ${pageIndex}:`);
                console.log(`Height: ${pageInfo.height}`);
                console.log(`Width: ${pageInfo.width}`);
                console.log(`Rotation: ${pageInfo.rotation}`);
            }
        }
    }

    render() {
        return (
            <div>
                <div className='control-section' style={{ marginTop: '50px' }}>
                <button onClick={this.retrievePageInfo} style={{ marginTop: '20px' }}>
                GetPageInfo
                </button>
                    <PdfViewerComponent
                        ref={this.viewerRef}
                        id="PdfViewer"
                        documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
                        resourceUrl= "https://cdn.syncfusion.com/ej2/27.2.2/dist/ej2-pdfviewer-lib"
                        style={{ height: '640px' }}
                    >
                        <Inject services={[
                            Toolbar,
                            Magnification,
                            Navigation,
                            Annotation,
                            TextSelection,
                            TextSearch,
                            FormFields,
                            FormDesigner,
                            PageOrganizer
                        ]} />
                    </PdfViewerComponent>
                </div>
            </div>
        );
    }
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

Conclusion

By implementing these steps in the React component, you can retrieve the height, width, and rotation of any page loaded in the React PDF Viewer when a button is clicked or once the documentLoaded event fires. This enables inspection of page metadata for further client-side processing.

Troubleshooting

  • getPageInfo() returns undefined — Ensure the call is made after the documentLoaded event has fired, or invoke it from a user action that occurs after the viewer is ready.
  • Invalid pageIndex — Confirm the index is within the range 0 to pageCount - 1. Use the pageCount property to check the total number of pages.
  • Resource loading errors (Standalone) — Verify the resourceUrl matches the version of the @syncfusion/ej2-react-pdfviewer package installed in your project.

View sample in GitHub